Package org.postgresql.xml

# Class DefaultPGXmlFactoryFactory

java.lang.Object
org.postgresql.xml.DefaultPGXmlFactoryFactory

All Implemented Interfaces:
  `PGXmlFactoryFactory`

public class DefaultPGXmlFactoryFactory extends Object implements PGXmlFactoryFactory
Default implementation of PGXmlFactoryFactory that configures each factory per OWASP recommendations.

See Also:
  - https://cheatsheetseries.owasp.org/cheatsheets/XML_External_Entity_Prevention_Cheat_Sheet.html

## Field Summary

Fields
Modifier and Type
Field
Description
`static final DefaultPGXmlFactoryFactory`
`INSTANCE`

## Method Summary

Modifier and Type
Method
Description
`XMLReader`
`createXMLReader()`
`DocumentBuilder`
`newDocumentBuilder()`
`SAXTransformerFactory`
`newSAXTransformerFactory()`
`TransformerFactory`
`newTransformerFactory()`
`XMLInputFactory`
`newXMLInputFactory()`
`XMLOutputFactory`
`newXMLOutputFactory()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final DefaultPGXmlFactoryFactory INSTANCE

## Method Details

### newDocumentBuilder

public DocumentBuilder newDocumentBuilder() throws ParserConfigurationException

Specified by:
  `newDocumentBuilder` in interface `PGXmlFactoryFactory`
Throws:
  `ParserConfigurationException`

### newTransformerFactory

public TransformerFactory newTransformerFactory()

Specified by:
  `newTransformerFactory` in interface `PGXmlFactoryFactory`

### newSAXTransformerFactory

public SAXTransformerFactory newSAXTransformerFactory()

Specified by:
  `newSAXTransformerFactory` in interface `PGXmlFactoryFactory`

### newXMLInputFactory

public XMLInputFactory newXMLInputFactory()

Specified by:
  `newXMLInputFactory` in interface `PGXmlFactoryFactory`

### newXMLOutputFactory

public XMLOutputFactory newXMLOutputFactory()

Specified by:
  `newXMLOutputFactory` in interface `PGXmlFactoryFactory`

### createXMLReader

public XMLReader createXMLReader() throws SAXException

Specified by:
  `createXMLReader` in interface `PGXmlFactoryFactory`
Throws:
  `SAXException`